#
# spec file for package python-osc-tiny
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-osc-tiny
Version:        0.2.2
Release:        lp152.1.1
Summary:        Client API for openSUSE BuildService
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/crazyscientist/osc-tiny
Source:         https://files.pythonhosted.org/packages/source/o/osc-tiny/osc-tiny-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module responses}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-mock
BuildRequires:  python-rpm-macros
BuildRequires:  python-unittest2
Requires:       python-lxml
Requires:       python-python-dateutil
Requires:       python-pytz
Requires:       python-requests
Requires:       python-responses
Requires:       python-six
BuildArch:      noarch
%ifpython2
Requires:       python-mock
%endif
%python_subpackages

%description
OSC Tiny provides a minimalistic, transparent and class based client for
accessing the OpenBuildService API.

For further details see:

* https://osc-tiny.readthedocs.io/en/latest/
* https://openbuildservice.org/
* https://build.opensuse.org/apidocs/index

%prep
%setup -q -n osc-tiny-%{version}

%build
%python_build

%check
%pytest

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar 27 2020 pgajdos@suse.com
- version update to 0.2.2
  * Added the `issues` extension
  * Give (read only) access to issues and issue trackers known to BuildService
  * Set version to 0.2.2
  * Dirty hacks for Python2 compatibility
* Thu Jan  9 2020 Chen Huang <chhuang@suse.com>
- Updated to version 0.2.1
- Allow invalid timestamps during changelog parsing
- Removed dependency of the future package
- Backport for Python2 compatibility
- Bugfixes for :py:mod:`osctiny.utils.changelog`
* Mon Dec 30 2019 Andreas Hasenkopf <ahasenkopf@suse.com>
- Version 0.1.11
- Changed structure of sub-modules
- Added `osctiny.utils.changelog`
- Added parameter `expand` to `osctiny.extensions.packages.Package.get_file`
* Tue Dec  3 2019 Andreas Hasenkopf <ahasenkopf@suse.com>
- Source package instead of _serive "download_files"
* Tue Dec  3 2019 Andreas Hasenkopf <ahasenkopf@suse.com>
- Version 0.1.10
* Tue Dec  3 2019 Andreas Hasenkopf <ahasenkopf@suse.com>
- New package osc-tiny (version 0.1.9)
